Try it free

Vulnerabilities API - POST unmute remediation items

  • Reference

Unmutes multiple remediation tracking process groups or, in the case of Kubernetes vulnerabilities, multiple remediation tracking Kubernetes nodes.

The request consumes an application/json payload.

POSTSaaShttps://{your-environment-id}.live.dynatrace.com/api/v2/securityProblems/{id}/remediationItems/unmute
POSTEnvironment ActiveGateCluster ActiveGatehttps://{your-activegate-domain}:9999/e/{your-environment-id}/api/v2/securityProblems/{id}/remediationItems/unmute

Authentication

Api-Token:

To execute this request, you need an access token with securityProblems.write scope.

One of the following permissions is required for personal access tokens:

  • environment:roles:manage-security-problems

To learn how to obtain and use it, see Personal access tokens.

Parameters

ParameterTypeDescriptionInRequired
idstring

The ID of the requested third-party security problem.

pathRequired
bodyRemediationItemsBulkUnmute

The JSON body of the request. Contains the un-muting information.

bodyOptional

Request body objects

The RemediationItemsBulkUnmute object

Information on un-muting several remediation items.

ElementTypeDescriptionRequired
commentstring

A comment about the un-muting reason.

Optional
reasonstring

The reason for un-muting the remediation items.

The element can hold these values
  • AFFECTED
Required
remediationItemIdsstring[]

The ids of the remediation items to be un-muted.

Required

Request body JSON model

This is a model of the request body, showing the possible elements. It has to be adjusted for usage in an actual request.

{
"comment": "string",
"reason": "AFFECTED",
"remediationItemIds": [
"string"
]
}

Response

Response codes

CodeTypeDescription
200RemediationItemsBulkUnmuteResponse

Success. The remediation item(s) have been un-muted.

4XXErrorEnvelope

Client side error.

5XXErrorEnvelope

Server side error.

Response body objects

The RemediationItemsBulkUnmuteResponse object

Response of un-muting several remediation items.

ElementTypeDescription
summaryRemediationItemMutingSummary[]

The summary of which remediation items were un-muted and which already were un-muted previously.

The RemediationItemMutingSummary object

Summary of (un-)muting a remediation item.

ElementTypeDescription
muteStateChangeTriggeredboolean

Whether a mute state change for the given remediation item was triggered by this request.

reasonstring

Contains a reason, in case the requested operation was not executed.

The element can hold these values
  • ALREADY_MUTED
  • ALREADY_UNMUTED
  • REMEDIATION_ITEM_NOT_AFFECTED_BY_GIVEN_SECURITY_PROBLEM
remediationItemIdstring

The id of the remediation item that will be (un-)muted.

The ErrorEnvelope object

ElementTypeDescription
errorError-

The Error object

ElementTypeDescription
codeinteger

The HTTP status code

constraintViolationsConstraintViolation[]

A list of constraint violations

messagestring

The error message

The ConstraintViolation object

A list of constraint violations

ElementTypeDescription
locationstring-
messagestring-
parameterLocationstring-
The element can hold these values
  • HEADER
  • PATH
  • PAYLOAD_BODY
  • QUERY
pathstring-

Response body JSON models

{
"summary": [
{
"muteStateChangeTriggered": true,
"reason": "ALREADY_MUTED",
"remediationItemId": "string"
}
]
}
{
"error": {
"code": 1,
"constraintViolations": [
{
"location": "string",
"message": "string",
"parameterLocation": "HEADER",
"path": "string"
}
],
"message": "string"
}
}

Example

Unmute two entities, PROCESS_GROUP-46C0E12D9B0EF2D9 and PROCESS_GROUP-549E6AD75BD598EC.

Curl

curl -X 'POST' 'https://mySampleEnv.live.dynatrace.com/api/v2/securityProblems/2919200225913269102/remediationItems/unmute' \
-H 'accept: application/json; charset=utf-8' \
-H 'Authorization: Api-Token [your_token]' \
-H 'Content-Type: application/json; charset=utf-8' \
-d '{
"comment": "Example unmute multiple",
"reason": "AFFECTED",
"remediationItemIds": ["PROCESS_GROUP-46C0E12D9B0EF2D9", "PROCESS_GROUP-549E6AD75BD598EC"]
}'

Request URL

https://mySampleEnv.live.dynatrace.com/api/v2/securityProblems/2919200225913269102/remediationItems/unmute

Request body

{
"comment": "Example unmute multiple",
"reason": "AFFECTED",
"remediationItemIds": ["PROCESS_GROUP-46C0E12D9B0EF2D9", "PROCESS_GROUP-549E6AD75BD598EC"]
}

Response body

{
"summary": [
{
"remediationItemId": "PROCESS_GROUP-46C0E12D9B0EF2D9",
"muteStateChangeTriggered": true
},
{
"remediationItemId": "PROCESS_GROUP-549E6AD75BD598EC",
"muteStateChangeTriggered": true
}
]
}

Related topics

  • Application Security
  • Davis Security Advisor API
  • Remediation tracking